Get Commercial Data
curl --request GET \
--url https://api.lendflow.com/api/applications/{application_id}/commercial_data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"services": [
"experian_bop_commercial_lending_with_a_pg"
],
"raw_cfa": false
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/commercial_data"
payload = {
"services": ["experian_bop_commercial_lending_with_a_pg"],
"raw_cfa": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({services: ['experian_bop_commercial_lending_with_a_pg'], raw_cfa: false})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/commercial_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": null,
"business_legal_name": null,
"dates": null,
"statuses": null,
"commercial_data": null,
"request_data": null
}
}Workflow Management
Get Commercial Data
Returns the commercial data gathered for an application, combining the results of each data service that ran. Results can be narrowed to specific services.
GET
/
api
/
applications
/
{application_id}
/
commercial_data
Get Commercial Data
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Query Parameters
Optional array of service IDs to filter results. If omitted or empty, returns all services.
Example:
["architecto"]
Whether Ocrolus CFA data should be the complete, raw book analytics, or an aggregate summary of.
Example:
false
Body
application/json
Available options:
experian_uccs, experian_bankruptcies, experian_judgments, experian_liens, experian_intelliscore, experian_intelliscore_v3, experian_fsr, experian_fsr_v2, experian_commercial_collections, experian_credit_status, experian_legal_collections, experian_trades, experian_corporate_registrations, experian_business_contacts, experian_business_facts, experian_fraud_shields, experian_business_match, experian_business_quick_search, experian_gdn_company_profile, experian_gdn_risk_check, experian_gdn_small_report, experian_gdn_extended_report, experian_gdn_canadian_profile_report, experian_bop_blended_prequalification, experian_bop_commercial_lending_to_a_sole_prop, experian_bop_commercial_lending_with_a_pg, experian_bop_commercial_insurance, experian_bop_merchant_cash_advance, experian_bop_merchant_acquisition, experian_bop_commercial_factoring, experian_bop_blended_account_review, experian_bop_commercial_collections, experian_bop_blended_prequalification_pdf_report, experian_bop_commercial_lending_to_a_sole_prop_pdf_report, experian_bop_commercial_lending_with_a_pg_pdf_report, experian_bop_commercial_insurance_pdf_report, experian_bop_merchant_cash_advance_pdf_report, experian_bop_merchant_acquisition_pdf_report, experian_bop_commercial_factoring_pdf_report, experian_bop_blended_account_review_pdf_report, experian_bop_commercial_collections_pdf_report, experian_bop_blended_prequalification_premier_attributes, experian_bop_commercial_lending_to_a_sole_prop_premier_attributes, experian_bop_commercial_lending_with_a_pg_premier_attributes, experian_bop_commercial_insurance_premier_attributes, experian_bop_merchant_cash_advance_premier_attributes, experian_bop_merchant_acquisition_premier_attributes, experian_bop_commercial_factoring_premier_attributes, experian_bop_blended_account_review_premier_attributes, experian_bop_commercial_collections_premier_attributes, equifax_business_principal_report, equifax_business_principal_report_pdf, equifax_business_match, equifax_sbfe_report, equifax_cfn_report, dnb_cer_l1, dnb_ci_l2, dnb_pi_l3, dnb_fi_l2, dnb_fi_l3, dnb_fi_l4, dnb_dti_l1, dnb_bm_l1, enigma_match, enigma_lookup, vouched_verification, vouched_invite_link, vouched_cross_check, vouched_download_pdf, clear, clear_id_confirm_person, clear_risk_inform_person_search, clear_risk_inform_person_report, clear_id_confirm_business, clear_risk_inform_business_search, clear_risk_inform_business_report, clear_court_search, clear_adverse_media_search, clear_adverse_media_report, clear_kyc_document_retrieval, clear_kyb_document_retrieval, sentilink, sentilink_dob_completion, sentilink_ssn_completion, plaid, plaid_asset_report, plaid_bank_data, socure_dv, socure_kyc, socure_fraud, lexis_nexis_kyc, lexis_nexis_kyc_report, lexis_nexis_kyb_search, lexis_nexis_kyb_report, lexis_nexis_corporate_filing_search, lexis_nexis_corporate_filing_report, lexis_nexis_ucc_filing_search, lexis_nexis_ucc_filing_report, lexis_nexis_bankruptcy_search, lexis_nexis_bankruptcy_report, lexis_nexis_liens_and_judgment_search, lexis_nexis_liens_report, lexis_nexis_judgments_report, lexis_nexis_small_business_credit_score, lexis_nexis_contact_card_report, lexis_nexis_email_search, lexis_nexis_risk_view, tax_status_verify_individual, tax_status_verify_business, chart, chart_tax_records, moneythumb_cfa, moneythumb_transactions, prism_data, middesk, middesk_business_search, persona, inscribe, ekata, ocrolus_cfa, ocrolus_cfa_v2, ocrolus_cff, ocrolus_enriched_transactions, ocrolus_fraud_signals, codat, rutter, blu_cognition, transunion_credit_report, fmcsa, yellow_pages, bbb, manta, yelp, gbp, baselayer, baselayer_naics_prediction, baselayer_website_analysis, tripadvisor, foursquare, data_merch, arsen_ai_enrich, arsen_ai_document_data_extraction, email_validation, spinwheel, opencorporates, opencorporates_company_search, opencorporates_officer_search Example:
["experian_bop_commercial_lending_with_a_pg"]
Example:
false
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?